Name:           syspopup
Summary:        Syspopup package
Version:        0.3.0
Release:        0
Group:          System/Libraries
License:        Apache-2.0
Source0:        syspopup-%{version}.tar.gz
Source1001:     %{name}.manifest
Source1002:     %{name}-devel.manifest
Source1003:     %{name}-caller.manifest
Source1004:     %{name}-caller-devel.manifest

BuildRequires:  cmake
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(bundle)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(ecore-wl2)
BuildRequires:  pkgconfig(capi-ui-efl-util)
BuildRequires:  pkgconfig(evas)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(libtzplatform-config)
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(capi-system-info)
BuildRequires:  pkgconfig(libsmack)
BuildRequires:  pkgconfig(libxml-2.0)

Requires(posttrans): /usr/bin/rm

%define upgrade_script_path /usr/share/upgrade/scripts

%description
syspopup package for popup

%package devel
Summary:    Syspopup development package
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
syspopup development package popup

%package caller
Summary:          Syspopup-caller package
Group:            System/Libraries
Requires:         %{name} = %{version}-%{release}
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description caller
syspopup-caller package for popup

%package caller-devel
Summary:    Syspopup-caller development package
Group:      System/Development
Requires:   %{name} = %{version}-%{release}

%description caller-devel
syspopup-caller development package for popup

%prep
%setup -q
cp %{SOURCE1001} %{SOURCE1002} %{SOURCE1003} %{SOURCE1004} .

%build
export CFLAGS+=" -DEFL_BETA_API_SUPPORT "
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake -DTZ_SYS_RO_PACKAGES=%{TZ_SYS_RO_PACKAGES} \
	-DTZ_SYS_RO_SHARE=%{TZ_SYS_RO_SHARE} \
	-DEXTRA_CFLAGS=-fPIC \
	-DFULLVER=%{version} \
	-DMAJORVER=${MAJORVER} \
	-DSYSCONFDIR=%{_sysconfdir} \
	.

make %{?jobs:-j%jobs}

%install
%make_install
mkdir -p %{buildroot}%{_datadir}
touch %{buildroot}%{_datadir}/popup_noti_term

mkdir -p %{buildroot}%{upgrade_script_path}
cp -f scripts/502.syspopup_upgrade.sh %{buildroot}%{upgrade_script_path}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post caller -p /sbin/ldconfig

%postun caller -p /sbin/ldconfig

%posttrans
/usr/bin/sp_initdb

if [ -e %{_sysconfdir}/config/model-config.xml ]; then
	PROFILE=`grep "feature\/profile" %{_sysconfdir}/config/model-config.xml`
	if [[ "${PROFILE}" == *"mobile"* ]]; then
		rm -rf %{_datarootdir}/syspopup/wearable
		rm -rf %{_datarootdir}/syspopup/tv
		rm -rf %{_datarootdir}/syspopup/common
		rm -rf %{_datarootdir}/syspopup/ivi
	elif [[ "${PROFILE}" == *"wearable"* ]]; then
		rm -rf %{_datarootdir}/syspopup/mobile
		rm -rf %{_datarootdir}/syspopup/tv
		rm -rf %{_datarootdir}/syspopup/common
		rm -rf %{_datarootdir}/syspopup/ivi
	elif [[ "${PROFILE}" == *"tv"* ]]; then
		rm -rf %{_datarootdir}/syspopup/mobile
		rm -rf %{_datarootdir}/syspopup/wearable
		rm -rf %{_datarootdir}/syspopup/common
		rm -rf %{_datarootdir}/syspopup/ivi
	elif [[ "${PROFILE}" == *"common"* ]]; then
		rm -rf %{_datarootdir}/syspopup/mobile
		rm -rf %{_datarootdir}/syspopup/wearable
		rm -rf %{_datarootdir}/syspopup/tv
		rm -rf %{_datarootdir}/syspopup/ivi
	elif [[ "${PROFILE}" == *"ivi"* ]]; then
		rm -rf %{_datarootdir}/syspopup/mobile
		rm -rf %{_datarootdir}/syspopup/wearable
		rm -rf %{_datarootdir}/syspopup/tv
		rm -rf %{_datarootdir}/syspopup/common
	else
		rm -rf %{_datarootdir}/syspopup/mobile
		rm -rf %{_datarootdir}/syspopup/wearable
		rm -rf %{_datarootdir}/syspopup/tv
		rm -rf %{_datarootdir}/syspopup/common
		rm -rf %{_datarootdir}/syspopup/ivi

	fi
else
	rm -rf %{_datarootdir}/syspopup/mobile
	rm -rf %{_datarootdir}/syspopup/wearable
	rm -rf %{_datarootdir}/syspopup/tv
	rm -rf %{_datarootdir}/syspopup/common
	rm -rf %{_datarootdir}/syspopup/ivi
fi

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_bindir}/sp_test
%{_bindir}/sp_initdb
%{_libdir}/libsyspopup.so.*
%{_datadir}/popup_noti_term
%license LICENSE
%{upgrade_script_path}/502.syspopup_upgrade.sh
%{_sysconfdir}/syspopup/preload/*
%{_prefix}/share/syspopup/*

%files devel
%manifest %{name}-devel.manifest
%defattr(-,root,root,-)
%{_includedir}/SLP_SYSPOPUP_PG.h
%{_includedir}/syspopup.h
%{_libdir}/libsyspopup.so
%{_libdir}/pkgconfig/syspopup.pc

%files caller
%manifest %{name}-caller.manifest
%defattr(-,root,root,-)
%{_libdir}/libsyspopup_caller.so.*
%license LICENSE

%files caller-devel
%manifest %{name}-caller-devel.manifest
%defattr(-,root,root,-)
%{_libdir}/libsyspopup_caller.so
%{_includedir}/syspopup_caller.h
%{_libdir}/pkgconfig/syspopup-caller.pc
